# eric3.UI.ToolConfigurationDialog

Module implementing a configuration dialog for the tools menu.

### Classes

ToolConfigurationDialog | Class implementing a configuration dialog for the tools menu.

### Functions

None

## ToolConfigurationDialog

Class implementing a configuration dialog for the tools menu.

### Derived from

ToolConfigurationForm

### Methods

ToolConfigurationDialog | Constructor
getToollist | Public method to retrieve the tools list.
handleAdd | Private slot to add a new entry.
handleChange | Private slot to change an entry.
handleDelete | Private slot to delete the selected entry.
handleDown | Private slot to move an entry down in the list.
handleExeSelect | Private slot to handle the executable selection via a file selection dialog.
handleNew | Private slot to clear all entry fields.
handleToolEntrySelected | Private slot to set the lineedits depending on the selected entry.
handleUp | Private slot to move an entry up in the list.
swap | Private method used two swap two list entries given by their index.

### ToolConfigurationDialog (Constructor)

ToolConfigurationDialog(toollist, parent=None)

Constructor

toollist
  list of configured tools
parent
  parent widget (QWidget)

### ToolConfigurationDialog.getToollist

getToollist()

Public method to retrieve the tools list.

Returns:
  a list of tuples containing the menu text, the executable, the executables arguments and a redirection flag

### ToolConfigurationDialog.handleAdd

handleAdd()

Private slot to add a new entry.

### ToolConfigurationDialog.handleChange

handleChange()

Private slot to change an entry.

### ToolConfigurationDialog.handleDelete

handleDelete()

Private slot to delete the selected entry.

### ToolConfigurationDialog.handleDown

handleDown()

Private slot to move an entry down in the list.

### ToolConfigurationDialog.handleExeSelect

handleExeSelect()

Private slot to handle the executable selection via a file selection dialog.

### ToolConfigurationDialog.handleNew

handleNew()

Private slot to clear all entry fields.

### ToolConfigurationDialog.handleToolEntrySelected

handleToolEntrySelected(index)

Private slot to set the lineedits depending on the selected entry.

index
  the index of the selected entry (integer)

### ToolConfigurationDialog.handleUp

handleUp()

Private slot to move an entry up in the list.

### ToolConfigurationDialog.swap

swap(itm1, itm2)

Private method used two swap two list entries given by their index.

itm1
  index of first entry (int)
itm2
  index of second entry (int)

Up